Bug 173347 - [MAINTAINER] games/BillardGL: Changed Makefile, added Desktop entries, icons, removed all Notes
Summary: [MAINTAINER] games/BillardGL: Changed Makefile, added Desktop entries, icons,...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Beech Rintoul
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-04 04:10 UTC by nemysis
Modified: 2013-03-13 19:10 UTC (History)
1 user (show)

See Also:


Attachments
BillardGL-1.75_9.patch (3.37 KB, patch)
2012-11-04 04:10 UTC, nemysis
no flags Details | Diff
BillardGL.diff (7.85 KB, patch)
2012-11-04 12:11 UTC, nemysis
no flags Details | Diff
BillardGL.diff (7.94 KB, patch)
2013-02-22 18:26 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-11-04 04:10:01 UTC
Makefile changed:
 PLIST_FILES=
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+DESKTOP_ENTRIES=
+post-install:

Generated with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean
Comment 1 nemysis 2012-11-04 12:11:23 UTC
Removed

PLIST_FILES=   bin/${PORTNAME} \
               share/pixmaps/${PORTNAME}.png \
               share/icons/hicolor/32x32/apps/${PORTNAME}.png \
               share/icons/hicolor/48x48/apps/${PORTNAME}.png \
               share/icons/hicolor/64x64/apps/${PORTNAME}.png \
               share/icons/hicolor/72x72/apps/${PORTNAME}.png \
               share/icons/hicolor/96x96/apps/${PORTNAME}.png

PORTDATA=      *

Adedd pkg-plist
Comment 2 nemysis 2013-02-22 18:26:48 UTC
Changed

DESKTOP_ENTRIES=
Comment 3 Beech Rintoul freebsd_committer 2013-03-12 20:09:25 UTC
Responsible Changed
From-To: freebsd-ports-bugs->beech

I'll take it
Comment 4 dfilter service freebsd_committer 2013-03-12 22:47:08 UTC
Author: beech
Date: Tue Mar 12 22:46:55 2013
New Revision: 314005
URL: http://svnweb.freebsd.org/changeset/ports/314005

Log:
  - Makefile tweaks
  - Add Desktop entries, icons, removed all Notes
  - Shorten header
  - Bump portrevision
  
  PR:		ports/173347
  Submitted by:	nemysis <nemysis@gmx.ch>

Modified:
  head/games/BillardGL/Makefile
  head/games/BillardGL/distinfo   (contents, props changed)

Modified: head/games/BillardGL/Makefile
==============================================================================
--- head/games/BillardGL/Makefile	Tue Mar 12 22:15:57 2013	(r314004)
+++ head/games/BillardGL/Makefile	Tue Mar 12 22:46:55 2013	(r314005)
@@ -1,18 +1,14 @@
-# New ports collection makefile for: BillardGL
-# Date created:		02 Jan 2004
-# Whom:			Igor Pokrovsky <tiamat@comset.net>
-#
+# Created By: Igor Pokrovsky <tiamat@comset.net>
 # $FreeBSD$
-#
 
 PORTNAME=	BillardGL
 PORTVERSION=	1.75
-PORTREVISION=	8
+PORTREVISION=	9
 CATEGORIES=	games
-MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}%20${PORTVERSION}/ \
+MASTER_SITES=	SF/${PORTNAME:L}/${PORTNAME:L}/${PORTNAME}%20${PORTVERSION}/:game \
 		SF/nemysisfreebsdp/:icons
-DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
-		${PORTNAME}-LP-010.zip \
+DISTFILES=	${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}:game \
+		${PORTNAME}-LP-010.zip:game \
 		${PORTNAME}_icons.tar.gz:icons
 DIST_SUBDIR=	${PORTNAME:L}
 
@@ -31,14 +27,22 @@ USE_XORG=	xmu xext x11 xi
 USE_GL=		glut
 
 PLIST_FILES=	bin/${PORTNAME} \
-		share/pixmaps/${PORTNAME}_48.png \
-		share/pixmaps/${PORTNAME}_64.png \
-		share/pixmaps/${PORTNAME}_72.png \
-		share/pixmaps/${PORTNAME}_96.png
+		share/pixmaps/${PORTNAME}.png \
+		share/icons/hicolor/32x32/apps/${PORTNAME}.png \
+		share/icons/hicolor/48x48/apps/${PORTNAME}.png \
+		share/icons/hicolor/64x64/apps/${PORTNAME}.png \
+		share/icons/hicolor/72x72/apps/${PORTNAME}.png \
+		share/icons/hicolor/96x96/apps/${PORTNAME}.png
 
 PORTDATA=	*
 PORTDOCS=	README
 
+INSTALLS_ICONS=	yes
+ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
+
+DESKTOP_ENTRIES="BillardGL" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
+
 OPTIONS_DEFINE=	LANG
 LANG_DESC=	Install additional Language
 OPTIONS_DEFAULT=	LANG
@@ -46,31 +50,30 @@ OPTIONS_DEFAULT=	LANG
 .include <bsd.port.options.mk>
 
 post-patch:
-# Fix data location
 	@${REINPLACE_CMD} -e 's|/usr/share/BillardGL/|${DATADIR}/|' ${WRKSRC}/Namen.h
 
 do-install:
-# Executable
 	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
 
-# Data
-#	${MKDIR} ${DATADIR}
 .for d in Texturen lang
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
 .endfor
 
-# Pixmaps
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}*.png ${PREFIX}/share/pixmaps
+post-install:
+.for s in ${ICON_SIZES}
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${s}/apps
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
+		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
+.endfor
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps
 
-# Documentation
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
 .endif
 
-# Additional Language
 .if ${PORT_OPTIONS:MLANG}
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-LP-010/*.lang ${DATADIR}/lang/
+	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-LP-010/*.lang ${DATADIR}/lang
 .endif
 
 .include <bsd.port.mk>

Modified: head/games/BillardGL/distinfo
==============================================================================
--- head/games/BillardGL/distinfo	Tue Mar 12 22:15:57 2013	(r314004)
+++ head/games/BillardGL/distinfo	Tue Mar 12 22:46:55 2013	(r314005)
@@ -2,5 +2,5 @@ SHA256 (billardgl/BillardGL-1.75.tar.gz)
 SIZE (billardgl/BillardGL-1.75.tar.gz) = 736295
 SHA256 (billardgl/BillardGL-LP-010.zip) = a1325a0ed9b0dc3e2cbf8acebe4f7c4caf4183547b777b7543ad61e1e6e07cf6
 SIZE (billardgl/BillardGL-LP-010.zip) = 232940
-SHA256 (billardgl/BillardGL_icons.tar.gz) = f4d5812c32f57f81e610962b68941d79ff4469f25ed21bc0ff5a50b1c3c5b446
-SIZE (billardgl/BillardGL_icons.tar.gz) = 25088
+SHA256 (billardgl/BillardGL_icons.tar.gz) = bce61c00306d18b40216e99df1a782ffe1c93bd70ccba3f55ee9e8c4b970b6c4
+SIZE (billardgl/BillardGL_icons.tar.gz) = 38400
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Beech Rintoul freebsd_committer 2013-03-12 22:47:25 UTC
State Changed
From-To: open->closed

Committed, Thanks!
Comment 6 Beech Rintoul freebsd_committer 2013-03-13 18:25:04 UTC
State Changed
From-To: closed->open

More work needed
Comment 7 dfilter service freebsd_committer 2013-03-13 18:59:05 UTC
Author: beech
Date: Wed Mar 13 18:58:57 2013
New Revision: 314106
URL: http://svnweb.freebsd.org/changeset/ports/314106

Log:
  - Makefile tweaks
  - Add Desktop entries, icons, removed all Notes
  - Add pkg-plist
  
  PR:		ports/173347
  Submitted by:	nemysis <nemysis@gmx.ch> (maintainer)

Added:
  head/games/BillardGL/pkg-plist   (contents, props changed)
Modified:
  head/games/BillardGL/Makefile

Modified: head/games/BillardGL/Makefile
==============================================================================
--- head/games/BillardGL/Makefile	Wed Mar 13 18:57:12 2013	(r314105)
+++ head/games/BillardGL/Makefile	Wed Mar 13 18:58:57 2013	(r314106)
@@ -1,4 +1,4 @@
-# Created By: Igor Pokrovsky <tiamat@comset.net>
+# Created by: Igor Pokrovsky <tiamat@comset.net>
 # $FreeBSD$
 
 PORTNAME=	BillardGL
@@ -26,36 +26,34 @@ USE_GMAKE=	yes
 USE_XORG=	xmu xext x11 xi
 USE_GL=		glut
 
-PLIST_FILES=	bin/${PORTNAME} \
-		share/pixmaps/${PORTNAME}.png \
-		share/icons/hicolor/32x32/apps/${PORTNAME}.png \
-		share/icons/hicolor/48x48/apps/${PORTNAME}.png \
-		share/icons/hicolor/64x64/apps/${PORTNAME}.png \
-		share/icons/hicolor/72x72/apps/${PORTNAME}.png \
-		share/icons/hicolor/96x96/apps/${PORTNAME}.png
-
-PORTDATA=	*
 PORTDOCS=	README
 
 INSTALLS_ICONS=	yes
 ICON_SIZES=	32x32 48x48 64x64 72x72 96x96
 
-DESKTOP_ENTRIES="BillardGL" "${COMMENT}" "${PORTNAME}" \
-		"${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
+DESKTOP_ENTRIES="BillardGL" "${COMMENT}" \
+		"${PREFIX}/share/pixmaps/${PORTNAME}.png" \
+		"${PORTNAME}" "Game;ArcadeGame;" false
 
 OPTIONS_DEFINE=	LANG
-LANG_DESC=	Install additional Language
-OPTIONS_DEFAULT=	LANG
+OPTIONS_DEFAULT=LANG
+LANG_DESC=	Install Language
 
 .include <bsd.port.options.mk>
 
+.if ${PORT_OPTIONS:MLANG}
+PLIST_SUB+=	LANG=""
+.else
+PLIST_SUB+=	LANG="@comment "
+.endif
+
 post-patch:
 	@${REINPLACE_CMD} -e 's|/usr/share/BillardGL/|${DATADIR}/|' ${WRKSRC}/Namen.h
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin
+	${INSTALL_PROGRAM} ${WRKSRC}/${PORTNAME} ${PREFIX}/bin/
 
-.for d in Texturen lang
+.for d in Texturen
 	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
 .endfor
 
@@ -65,7 +63,7 @@ post-install:
 	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}_${s}.png \
 		${PREFIX}/share/icons/hicolor/${s}/apps/${PORTNAME}.png
 .endfor
-	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps
+	${LN} -sf ${PREFIX}/share/icons/hicolor/48x48/apps/${PORTNAME}.png ${PREFIX}/share/pixmaps/
 
 .if ${PORT_OPTIONS:MDOCS}
 	${MKDIR} ${DOCSDIR}
@@ -73,7 +71,8 @@ post-install:
 .endif
 
 .if ${PORT_OPTIONS:MLANG}
-	${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-LP-010/*.lang ${DATADIR}/lang
+	@${MKDIR} ${DATADIR}/lang
+	@${INSTALL_DATA} ${WRKDIR}/${PORTNAME}-LP-010/*.lang ${DATADIR}/lang/
 .endif
 
 .include <bsd.port.mk>

Added: head/games/BillardGL/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/games/BillardGL/pkg-plist	Wed Mar 13 18:58:57 2013	(r314106)
@@ -0,0 +1,134 @@
+bin/BillardGL
+%%DATADIR%%/Texturen/1/1.bmp
+%%DATADIR%%/Texturen/1/10.bmp
+%%DATADIR%%/Texturen/1/11.bmp
+%%DATADIR%%/Texturen/1/12.bmp
+%%DATADIR%%/Texturen/1/13.bmp
+%%DATADIR%%/Texturen/1/14.bmp
+%%DATADIR%%/Texturen/1/15.bmp
+%%DATADIR%%/Texturen/1/2.bmp
+%%DATADIR%%/Texturen/1/3.bmp
+%%DATADIR%%/Texturen/1/4.bmp
+%%DATADIR%%/Texturen/1/5.bmp
+%%DATADIR%%/Texturen/1/6.bmp
+%%DATADIR%%/Texturen/1/7.bmp
+%%DATADIR%%/Texturen/1/8.bmp
+%%DATADIR%%/Texturen/1/9.bmp
+%%DATADIR%%/Texturen/1/a00.bmp
+%%DATADIR%%/Texturen/1/a1.bmp
+%%DATADIR%%/Texturen/1/a10.bmp
+%%DATADIR%%/Texturen/1/a11.bmp
+%%DATADIR%%/Texturen/1/a12.bmp
+%%DATADIR%%/Texturen/1/a13.bmp
+%%DATADIR%%/Texturen/1/a14.bmp
+%%DATADIR%%/Texturen/1/a15.bmp
+%%DATADIR%%/Texturen/1/a2.bmp
+%%DATADIR%%/Texturen/1/a3.bmp
+%%DATADIR%%/Texturen/1/a4.bmp
+%%DATADIR%%/Texturen/1/a5.bmp
+%%DATADIR%%/Texturen/1/a6.bmp
+%%DATADIR%%/Texturen/1/a7.bmp
+%%DATADIR%%/Texturen/1/a8.bmp
+%%DATADIR%%/Texturen/1/a9.bmp
+%%DATADIR%%/Texturen/1/aalpha.bmp
+%%DATADIR%%/Texturen/1/aalpha2.bmp
+%%DATADIR%%/Texturen/1/buchstaben.bmp
+%%DATADIR%%/Texturen/1/buchstabenalpha.bmp
+%%DATADIR%%/Texturen/1/dreizehn.bmp
+%%DATADIR%%/Texturen/1/filzkachel.bmp
+%%DATADIR%%/Texturen/1/halbe.bmp
+%%DATADIR%%/Texturen/1/holz.bmp
+%%DATADIR%%/Texturen/1/logo.bmp
+%%DATADIR%%/Texturen/1/volle.bmp
+%%DATADIR%%/Texturen/2/1.bmp
+%%DATADIR%%/Texturen/2/10.bmp
+%%DATADIR%%/Texturen/2/11.bmp
+%%DATADIR%%/Texturen/2/12.bmp
+%%DATADIR%%/Texturen/2/13.bmp
+%%DATADIR%%/Texturen/2/14.bmp
+%%DATADIR%%/Texturen/2/15.bmp
+%%DATADIR%%/Texturen/2/2.bmp
+%%DATADIR%%/Texturen/2/3.bmp
+%%DATADIR%%/Texturen/2/4.bmp
+%%DATADIR%%/Texturen/2/5.bmp
+%%DATADIR%%/Texturen/2/6.bmp
+%%DATADIR%%/Texturen/2/7.bmp
+%%DATADIR%%/Texturen/2/8.bmp
+%%DATADIR%%/Texturen/2/9.bmp
+%%DATADIR%%/Texturen/2/aalpha2.bmp
+%%DATADIR%%/Texturen/2/buchstaben.bmp
+%%DATADIR%%/Texturen/2/buchstabenalpha.bmp
+%%DATADIR%%/Texturen/2/filzkachel.bmp
+%%DATADIR%%/Texturen/2/halbe.bmp
+%%DATADIR%%/Texturen/2/holz.bmp
+%%DATADIR%%/Texturen/2/volle.bmp
+%%DATADIR%%/Texturen/4/1.bmp
+%%DATADIR%%/Texturen/4/10.bmp
+%%DATADIR%%/Texturen/4/11.bmp
+%%DATADIR%%/Texturen/4/12.bmp
+%%DATADIR%%/Texturen/4/13.bmp
+%%DATADIR%%/Texturen/4/14.bmp
+%%DATADIR%%/Texturen/4/15.bmp
+%%DATADIR%%/Texturen/4/2.bmp
+%%DATADIR%%/Texturen/4/3.bmp
+%%DATADIR%%/Texturen/4/4.bmp
+%%DATADIR%%/Texturen/4/5.bmp
+%%DATADIR%%/Texturen/4/6.bmp
+%%DATADIR%%/Texturen/4/7.bmp
+%%DATADIR%%/Texturen/4/8.bmp
+%%DATADIR%%/Texturen/4/9.bmp
+%%DATADIR%%/Texturen/4/holz.bmp
+%%DATADIR%%/Texturen/8/1.bmp
+%%DATADIR%%/Texturen/8/10.bmp
+%%DATADIR%%/Texturen/8/11.bmp
+%%DATADIR%%/Texturen/8/12.bmp
+%%DATADIR%%/Texturen/8/13.bmp
+%%DATADIR%%/Texturen/8/14.bmp
+%%DATADIR%%/Texturen/8/15.bmp
+%%DATADIR%%/Texturen/8/2.bmp
+%%DATADIR%%/Texturen/8/3.bmp
+%%DATADIR%%/Texturen/8/4.bmp
+%%DATADIR%%/Texturen/8/5.bmp
+%%DATADIR%%/Texturen/8/6.bmp
+%%DATADIR%%/Texturen/8/7.bmp
+%%DATADIR%%/Texturen/8/8.bmp
+%%DATADIR%%/Texturen/8/9.bmp
+%%DATADIR%%/Texturen/8/holz.bmp
+%%LANG%%%%DATADIR%%/lang/900.lang
+%%LANG%%%%DATADIR%%/lang/901.lang
+%%LANG%%%%DATADIR%%/lang/903.lang
+%%LANG%%%%DATADIR%%/lang/904.lang
+%%LANG%%%%DATADIR%%/lang/905.lang
+%%LANG%%%%DATADIR%%/lang/906.lang
+%%LANG%%%%DATADIR%%/lang/907.lang
+%%LANG%%%%DATADIR%%/lang/908.lang
+%%LANG%%%%DATADIR%%/lang/909.lang
+%%LANG%%%%DATADIR%%/lang/910.lang
+%%LANG%%%%DATADIR%%/lang/911.lang
+%%LANG%%%%DATADIR%%/lang/912.lang
+%%LANG%%%%DATADIR%%/lang/999.lang
+share/icons/hicolor/32x32/apps/BillardGL.png
+share/icons/hicolor/48x48/apps/BillardGL.png
+share/icons/hicolor/64x64/apps/BillardGL.png
+share/icons/hicolor/72x72/apps/BillardGL.png
+share/icons/hicolor/96x96/apps/BillardGL.png
+share/pixmaps/BillardGL.png
+@dirrmtry share/icons/hicolor/96x96/apps
+@dirrmtry share/icons/hicolor/96x96
+@dirrmtry share/icons/hicolor/72x72/apps
+@dirrmtry share/icons/hicolor/72x72
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+%%LANG%%@dirrm %%DATADIR%%/lang
+@dirrm %%DATADIR%%/Texturen/8
+@dirrm %%DATADIR%%/Texturen/4
+@dirrm %%DATADIR%%/Texturen/2
+@dirrm %%DATADIR%%/Texturen/1
+@dirrm %%DATADIR%%/Texturen
+@dirrm %%DATADIR%%
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 8 Beech Rintoul freebsd_committer 2013-03-13 18:59:29 UTC
State Changed
From-To: open->closed

Updates committed, Thanks!